import matplotlib.pyplot as plt
import numpy as np
import lmfit

offset_list=[]

#for i in range(1,6):
#for i in range(1,4):
for i in range(1,5):
        print('####################### Now opening: '+str(i)+'e-9.txt ############################')
        data = np.loadtxt(str(i)+'e-9_beg.txt',delimiter=' ')
        x = data[:, 0]
        y = data[:, 1]
        offset=532#min(y)
        for k in range(len(y)):
                y[k]=y[k]-offset
        offset_list.append(offset)
        plt.subplot(2,3,i)
        plt.plot(x,y,label=str(i))
#       model=lmfit.models.SkewedGaussianModel()+lmfit.models.LinearModel()
        model=lmfit.models.SkewedGaussianModel()
        params=lmfit.Parameters()
#       params.add('amplitude',value=470000.,max=470000.,min=210000.)
        params.add('amplitude',value=130000.,max=180000.,min=100000.)
        params.add('center',value=570,min=540.,max=590.)
#       params.add('sigma',value=75.,max=85.,min=75.)
        params.add('sigma',value=90.,min=55.,max=100.)
        params.add('gamma',max=12.,min=7.,value=10.5)
#       params.add('intercept',max=170.,min=169.,value=170.)
#       params.add('slope',max=0.1,min=-0.,value=0.1)
        out=model.fit(y,params,x=x)
        print(out.fit_report(min_correl=0.05))
        plt.plot(x,out.best_fit,'r--')
        plt.xlim(567,675)
print(offset_list)
plt.show()
